Bug 1026883 - Users should be able to display current process execution state
Users should be able to display current process execution state
Status: ASSIGNED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity high
: ---
: FUTURE
Assigned To: Eric Wittmann
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 10:14 EST by Stefan Bunciak
Modified: 2015-11-02 03:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-198 Major Open Display jbpm process instance graph in workflow details UI page 2014-08-20 10:12:14 EDT
JBoss Issue Tracker JBFSWPL-51 Major New DTGov workflow console 2014-08-20 10:12:14 EDT

  None (edit)
Description Stefan Bunciak 2013-11-05 10:14:00 EST
Description of problem:

Current state of art doesn't provide a user friendly way of displaying which task of DTGov workflow is being executed. Such functionality is provided in the jBPM console.

Proposal: 

Display which process has been started (if any) for each deployment (e.g. separate tab in deployment details) and current process state (picture showing task which is being executed).
Comment 1 Kurt T Stam 2013-11-07 15:06:34 EST
Hi Eric,

1. To get a list of processInstances in the session see the ProcessBean

public Collection<ProcessInstance> listProcessInstances()

There is still a jsp out there

http://localhost:8080/dtgov/process?processId=1

which you can use to get that info printed out to the log.

2. Also to start an instance right from a jsp see

http://localhost:8080/dtgov/startProcess.jsp

3. I don't think there is an easy way to get a graph anymore.
Comment 2 Eric Wittmann 2014-08-18 12:48:29 EDT
This functionality is included in the version of DTGov that is included in FSW 6.1.  The only part we have been unable to implement is the actual graph.  We believe this functionality is missing from the latest version of jbpm.  Perhaps we can open a separate BZ for this?

What we *do* have implemented is a DTGov UI page (admin only) that shows all of the workflow instances that have been created and the current status (running, completed, aborted, etc) of each workflow instance.  Users can also abort a running workflow.
Comment 3 Stefan Bunciak 2014-08-19 03:17:01 EDT
I've seen the workflow admin page in the latest community release. I have to admit that it's a big step forward, however this BZ is about monitoring exact node in the process execution. Let's imagine more complex workflow than the SimpleReleaseProcess, user needs to see where the process execution is and what is it waiting for...

Maybe we could reuse jbpm-gwt[1] component from jBPM itself.

[1] https://github.com/mswiderski/jbpm/tree/master/jbpm-gwt/jbpm-gwt-graph
Comment 4 Eric Wittmann 2014-08-19 08:29:22 EDT
I agree that showing the process graph would be a big win.  I was under the impression that jbpm no longer exposed that functionality, but I haven't investigated that to confirm.  I've created a jira for this and linked it to this BZ.

Note You need to log in before you can comment on or make changes to this bug.